Subject: bug#76802: 31.0.50; Error when installing/activating packages due to emacs-version mismatch

From: "Tassilo Horn" <[email-masked]>
Date: Sun, 09 Mar 2025 09:30:30 +0100

Oh, sorry for accusing you, Stefan. ;-)

I guess there should be some check in package.el that one package won't override (due to a wrong name) another package?

Am So, 9. Mär 2025, um 09:24, schrieb Mauro Aranda:
> merge 76802 76861 76871 76874
> quit
>
>
> Tassilo Horn <[email-masked]> writes:
>
>  > Tassilo Horn <[email-masked]> writes:
>  >
>  >>> You wouldn't happen to have a convenient recipe starting from emacs
>  >>> -Q, do you?  :-)
>  >>
>  >> I do.
>  >>
>  >> - emacs -Q
>  >> - M-x list-packages RET
>  >> - mark ef-themes version 1.9.0 from gnu for (i)nstall
>  >> - e(x)ecute
>  >>
>  >> Debugger entered--Lisp error: (error "This package requires Emacs
>  >> version 27.1")
>  >>   signal(error ("This package requires Emacs version 27.1"))
>  >>   error("This package requires Emacs version %s" "27.1")
>  >>   package-compute-transaction((#s(package-desc :name ef-themes
>  >> :version (1 9 0) :summary "Colorful and legible themes" :reqs
>  >> ((emacs (27 1))) :kind tar :archive "gnu" :dir nil $
>  >
>  > I've debugged a bit further and the issue is that
>  >
>  >   (package-installed-p 'emacs '(27 1))
>  >
>  > still returns t (as it should) in c116dad608a but returns nil starting
>  > with 5dd8b7e7525.  Well, and the reason for that is that
>  > package-builtins on master contains
>  >
>  >   (emacs . [(1 0) nil "the extensible text editor"])
>  >
>  > instead of
>  >
>  >   (emacs . [(31 0 50) nil "the extensible text editor"])
>  >
>
> I didn't notice this report yesterday, so I reported a duplicate.
>
> Re-attaching a patch with my reply and merging all the duplicates I've
> found.
>
>
> Dateianhänge:
> * 0001-Fix-Package-name-for-cond-star.patch